<?php
/**
 * Plugin Name: Switch Forms
 * Plugin URI:  https://mahdimohebi.ir/my-plugins/
 * Description: [switch_forms_buy] [switch_forms_sell]
 * Version:     1.1.6
 * Author:      Mahdi Mohebi
 * Author URI:  https://mahdimohebi.ir/
 * License:     GPLv2 or later
 * License URI: http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 * Text Domain: switch-forms
 * Domain Path: /languages 
 * 
 */
 
  
  
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Invalid request.' );
}

define("mmsf_url", plugin_dir_url(__FILE__));


function mmsf_load_textdomain() {
  load_plugin_textdomain( 'switch-forms', false, basename( dirname( __FILE__ ) ) . '/languages' ); 
} 
add_action( 'plugins_loaded', 'mmsf_load_textdomain' );



  
global $wpdb;




if ( ! class_exists( 'switch_forms' ) ) {
	class switch_forms {
		private static $settings;
		private function __construct() {
		} 
		public static function init_actions() {
			$plugin_data = get_file_data(__FILE__, ['Version' => 'Version','TextDomain' => 'Text Domain'], 'plugin');
			define("switch_forms_version",$plugin_data['Version']); 
			add_shortcode('switch_forms_sell', array( __CLASS__ , 'echo_shortcode_sell'));
			add_shortcode('switch_forms_buy', array( __CLASS__ , 'echo_shortcode_buy'));
			add_action( 'wp_enqueue_scripts', array( __CLASS__, 'enqueue_front' ) );
			add_action( 'wp_ajax_switch_forms_ajax', array( __CLASS__,'ajax_request') );
			add_action( 'wp_ajax_nopriv_switch_forms_ajax', array( __CLASS__,'ajax_request') );		
			add_action( 'rest_api_init', array( __CLASS__,'register_route') );
		}
		
		public static function register_route(){
			//https://www.switch.ir/mag/wp-json/vehicle/add_buy
			register_rest_route( 'vehicle', 'add_buy', array(
				'methods' => 'POST',
				'callback' => array( __CLASS__, 'add_buy_to_crm' ),
				'args' => array(
						'id' => array( 
							'validate_callback' => function( $param, $request, $key ) {
								//return is_numeric( $param );
								return true;
							}
						),
					),
				'permission_callback' => function() {
					//return current_user_can( 'edit_others_posts' );
					return true;
				}, 
			));
		}
		public static function add_buy_to_crm( $data ) {
			ob_start();	
			$gg =$_POST;
			//var_dump($data['params']['POST']);
			//var_dump($_POST);
			/** @var array|WP_Error $response 
			$response = wp_remote_get( 'https://service.switch.ir/Simple' );
			 
			if ( is_array( $response ) && ! is_wp_error( $response ) ) {
				//$headers = $response['headers']; // array of http header lines
				//$body    = $response['body']; // use the content
			}
			var_dump($response);
			*/
			$postJsonEntries = json_decode('{
				"origin": "Mag",
				"isCash": true,
				"dynamicsBrandId": "8263e20e-f604-ea11-9683-000c295c4922",
				"dynamicsModelId": "8363e20e-f604-ea11-9683-000c295c4922",
				"dynamicsGenerationId": "aca535a0-f704-ea11-9683-000c295c4922",
				"dynamicsPackageId": "ada535a0-f704-ea11-9683-000c295c4922",
				"produceYear": 2010,
				"description": "تست می کنم",
				"username":"Mag",
				"firstName": "مهدی",
				"lastName":"محبی",
				"phone":"09129171326",
				"InstallmentPrePayment":"100000000",
				"InstallmentCount":"36"
			}');
			#print_r($postJsonEntries);
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, 'https://service.switch.ir/Simple');
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_POST, 1);
			curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($postJsonEntries,JSON_UNESCAPED_UNICODE) );
			curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
			$headers = array();
			$headers[] = 'Accept: */*';
			$headers[] = 'Content-Type: application/json-patch+json';
			curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
			$result = curl_exec($ch);
			if (curl_errno($ch)) {
				echo 'Error:' ;
				var_dump(curl_error($ch));
			}
			curl_close($ch);
			echo json_encode($postJsonEntries,JSON_UNESCAPED_UNICODE);
			var_dump($result);

			
			
			
			$out = ob_get_clean();
			return $out;
			//return rest_ensure_response( $new_result );
		}
		public static function handel_ajax(){
			if(isset($_POST) and isset($_POST['action']) and $_POST['action']='switch_forms_ajax'  ){
				if(isset($_POST['ajax_type']) and $_POST['ajax_type']=='submit_sell_form_ajax'  ){
					ob_start();	
					$postJsonEntries = array();
					$postJsonEntries['origin'                  ] = 'Mag';
					$postJsonEntries['dynamicsBrandId'         ] = $_POST['brand'];
					$postJsonEntries['dynamicsModelId'         ] = $_POST['model'];
					$postJsonEntries['description'             ] = 'نام استان : '.$_POST['province_name'] .' - میزان کارکرد : '.$_POST['karkerd'] .' - سال تولید خودرو : '.$_POST['year'];
					$postJsonEntries['firstName'               ] = $_POST['name'];
					$postJsonEntries['lastName'                ] = $_POST['last_name'];
					$postJsonEntries['phone'                   ] = $_POST['phone'];
					$postJsonEntries['IsBuy'                   ] = false;
					//$postJsonEntries                             = array_filter($postJsonEntries);
					// should not be filtered
					$postJsonEntries['produceYear'             ] = null; 
					$postJsonEntries['isCash'                  ] = true;
					$postJsonEntries['sellRequest'             ] = array(
						'buyType'=> 0,
						'phone'=> $_POST['phone'],
						'isCash'=> true,
						'origin'=> 'Mag',
						"dynamicsBrandId"=>$_POST['brand'],
						"dynamicsModelId"=>$_POST['model'],
						"description" => 'نام استان : '.$_POST['province_name'] .' - میزان کارکرد : '.$_POST['karkerd'] .' - سال تولید خودرو : '.$_POST['year'],
						"stateCode" => $_POST['province_code'],
						"dynamicsProvinceId" => $_POST['province'],
						"createdUtcDateTime" => $_POST['date_time'],
						
						
					);
					#print_r($postJsonEntries);
					$ch = curl_init();
					curl_setopt($ch, CURLOPT_URL, 'https://service.switch.ir/Simple');
					curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
					curl_setopt($ch, CURLOPT_POST, 1);
					curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($postJsonEntries,JSON_UNESCAPED_UNICODE) );
					curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
					curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
					$headers = array();
					$headers[] = 'Accept: */*';
					$headers[] = 'Content-Type: application/json-patch+json';
					curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
					$result = curl_exec($ch);
					curl_close($ch);
					if (curl_errno($ch)) {
						echo 'Error:' . curl_error($ch);
					}
					var_dump($result);
					//echo json_encode($postJsonEntries,JSON_UNESCAPED_UNICODE);
					//
					$out = ob_get_clean();
					echo $out;
					//echo rest_ensure_response( $result );
				}elseif(isset($_POST['ajax_type']) and $_POST['ajax_type']=='submit_buy_form_ajax'){
					
					ob_start();	
					$postJsonEntries = array();
					$postJsonEntries['origin'                  ] = 'Mag';
					$postJsonEntries['dynamicsBrandId'         ] = $_POST['brand'];
					$postJsonEntries['dynamicsModelId'         ] = $_POST['model'];
					$postJsonEntries['description'             ] = 'نام استان : '.$_POST['province_name'];
					$postJsonEntries['firstName'               ] = $_POST['name'];
					$postJsonEntries['lastName'                ] = $_POST['last_name'];
					$postJsonEntries['phone'                   ] = $_POST['phone'];
					$postJsonEntries['installmentPrePayment'   ] = $_POST['budget'];
					$postJsonEntries['IsBuy'                   ] = true;
					//$postJsonEntries                             = array_filter($postJsonEntries);
					// should not be filtered
					$postJsonEntries['produceYear'             ] = null; 
					$postJsonEntries['isCash'                  ] = true;
					$postJsonEntries['buyRequest'              ] = array(
						'createdUtcDateTime'=> $_POST['date_time'],
						'buyType'=> 0,
						'phone'=> $_POST['phone'],
						'isCash'=> true,
						'origin'=> 'Mag',
						'findRequest'=> array(
							"maxPrice" => $_POST['budget'],
							"dynamicsBrandId"=>$_POST['brand'],
							"dynamicsModelId"=>$_POST['model'],
							"description" => 'نام استان : '.$_POST['province_name'],
						),
						
					);
					#print_r($postJsonEntries);
					$ch = curl_init();
					curl_setopt($ch, CURLOPT_URL, 'https://service.switch.ir/Simple');
					curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
					curl_setopt($ch, CURLOPT_POST, 1);
					curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($postJsonEntries,JSON_UNESCAPED_UNICODE) );
					curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
					curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
					$headers = array();
					$headers[] = 'Accept: */*';
					$headers[] = 'Content-Type: application/json-patch+json';
					curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
					$result = curl_exec($ch);
					curl_close($ch);
					if (curl_errno($ch)) {
						echo 'Error:' . curl_error($ch);
					}
					var_dump($result);
					//echo json_encode($postJsonEntries,JSON_UNESCAPED_UNICODE);
					//
					$out = ob_get_clean();
					echo $out;
					//echo rest_ensure_response( $result );
					
				}
			}else{
				
			}
			
		}
		
		
		public static function ajax_request() {
			self::handel_ajax();
			die(0);
		}
		public static function echo_shortcode_sell($atts) { 
			extract( shortcode_atts( array(
				'expand' => '',
			), $atts) );
			ob_start();
			$plugin_dir_url = plugin_dir_url( __FILE__ );
			$form_number = 1;
			?>
			<script>
				<?php 
					$admin_ajax_url =  admin_url( 'admin-ajax.php' );
					echo "admin_ajax_url = '".$admin_ajax_url."';";
					echo "lang_file_url = '".mmsf_url.'assets/en.json'."';";
				?>
			</script>
			<script type="text/javascript" src="<?php echo mmsf_url.'assets/front.js?v='.switch_forms_version; ?>"></script>
			<script type="text/javascript" src="<?php echo mmsf_url.'assets/jbvalidator.js?v='.switch_forms_version; ?>"></script>
			<link href="<?php echo mmsf_url.'assets/front.css?v='.switch_forms_version; ?>" rel="stylesheet">
			<script>
			jQuery(document).ready( function () {
				//jQuery("#switch_forms_main_inner").remove();
			} );
			</script>
			<style>
			.mmsf_form_second_wrapper {
				max-width: 400px;
				margin: auto;
			}
			.mmsf_form_second_wrapper {
				
			}
			
			.ajax_parent{
			  position: relative;
			  width: 100%;
			}
			.ajax_cover {
				position: absolute;
				height: 100%;
				width: 100%;
				display: block;
				z-index: 999;
				display: flex;
				justify-content: center;
				align-content: center;
				align-items: center;
				background-color: #ffffffbf;
			}
			.mmsf_form_second_wrapper .input-group:not(.has-validation)>.dropdown-toggle:nth-last-child(n+3),.mmsf_form_second_wrapper .input-group:not(.has-validation)>:not(:last-child):not(.dropdown-toggle):not(.dropdown-menu) {
				border-top-right-radius: .3rem;
				border-bottom-right-radius: .3rem;
			}
			.mmsf_form_second_wrapper .input-group>:not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
				margin-left: -1px;
				border-top-left-radius: .3rem;
				border-bottom-left-radius: .3rem;
			}
			.mmsf_form_second_wrapper .input-group>.form-control,.mmsf_form_second_wrapper .input-group>.form-select {
				border: 1px solid #ced4da;
			}
			input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
				padding: .3rem 1rem;
			}
			input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
				border: 1px solid #ced4da;
			}
			input[type=date]:focus, input[type=email]:focus, input[type=number]:focus, input[type=password]:focus, input[type=search]:focus, input[type=tel]:focus, input[type=text]:focus, input[type=url]:focus, select:focus, textarea:focus {
				border-color: #86b7fe;
			}
			.mmsf_submit_button {
				background-color: #144c98;
				color: white;
				background-image: linear-gradient(45deg, #3b095a ,#4c264f);
				box-shadow: inset 0px 0px 5px 2px #3d0d59;
			}
			.mmsf_submit_button:hover {
				background-color: #1a64b7;
				color: white;
			}
			.form-select.is-invalid:not([multiple]):not([size]), .form-select.is-invalid:not([multiple])[size="1"], .was-validated .form-select:invalid:not([multiple]):not([size]), .was-validated .form-select:invalid:not([multiple])[size="1"] {
				background-image: url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e),url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e);
				background-position: left .75rem center,center left 2.25rem;
				background-size: 16px 12px,calc(.75em + .375rem) calc(.75em + .375rem);
				padding-right: 15px;
			}
			</style>
			<?php 
			$random_str = uniqid(rand());
			$random_str = 's'.$random_str;
			$main_form_element_id = 'form-'.$random_str;
			$select_field_province_id =  'province-field-'.$random_str; 
			$select_field_brand_id =  'brand-field-'.$random_str; 
			$select_field_model_id =  'model-field-'.$random_str; 
			$input_field_year_id =  'year-field-'.$random_str; 
			$input_field_karkerd_id =  'karkerd-field-'.$random_str; 
			$input_field_name_id =  'name-field-'.$random_str; 
			$input_field_last_name_id =  'lsat-name-field-'.$random_str; 
			$input_phone_id =  'phone-field-'.$random_str; 
			$submit_button_id =  'submit-button-'.$random_str; 
			$result_box_id =  'result-box-'.$random_str; 
			
			?>
			<div class="mmsf_forms mmsf_sell mmsf_form_<?php echo $random_str ?>" id="mmsf_form_<?php echo $random_str ?>">
				<div class="mmsf_form_second_wrapper ajax_parent">
					<div class="text-center ajax_indicator_<?php echo $random_str ?> ajax_cover" style="display:none;">
						<div class="spinner-border text-primary " role="status"></div>
					</div>
					<form class="p-3 pt-4 pb-4 needs-validation" id="<?php echo $main_form_element_id ?>" novalidate>
						<div class="row m-0 mb-3">
							<div class="col p-0 ">
								<select class="form-select " id="<?php echo $select_field_province_id ?>" required>
									<option value="" disabled selected>استان خود را انتخاب کنید</option>
								</select>
							</div>
						</div>
						<div class="row m-0 mb-3">
							<div class="col p-0">
								<select class="form-select " id="<?php echo $select_field_brand_id ?>" onchange="get_models('#<?php echo $select_field_model_id ?>','#<?php echo $select_field_brand_id ?>','<?php echo $random_str ?>')" required>
									<option value="" disabled selected>برند خودرو</option>
								</select>
							</div>
						</div>
						<div class="row m-0 mb-3">
							<div class="col p-0">
								<select class="form-select " id="<?php echo $select_field_model_id ?>" onchange="after_select_field_model_change('#<?php echo $input_field_year_id ?>','#<?php echo $select_field_model_id ?>','<?php echo $random_str ?>')" disabled required>
									<option value="" disabled selected>مدل خودرو</option>
								</select>
							</div>
						</div>
						<div class="row m-0 mb-3">
							<div class="col p-0">
								<input type="number" class="form-control " id="<?php echo $input_field_year_id ?>" name="input_field_year_name" placeholder="سال مثلا :1390 یا 2020" style="text-align: right;" required min="0" max="3000">
							</div>
						</div>
						<div class="row m-0 mb-3">
							<div class="col p-0">
								<div class="input-group ">
								  <input type="number" class="form-control text-start" id="<?php echo $input_field_karkerd_id ?>" name="input_field_karkerd_name" placeholder="کارکرد" required min="0" max="800000">
								  <span class="input-group-text" id="basic-addon1">کیلومتر</span>
								</div>
							</div>
						</div>
						<div class="row m-0 mb-3">
							<div class="col p-0 pe-1">
								<input type="text" class="form-control " id="<?php echo $input_field_name_id ?>" name="input_field_name_name" placeholder="نام" required pattern=".{3,30}"  >
							</div>
							<div class="col p-0 ps-1">
								<input type="text" class="form-control " id="<?php echo $input_field_last_name_id ?>" name="input_field_last_name_id_name" placeholder="نام خانوادگی" required pattern=".{3,30}">
							</div>
						</div>
						<div class="row m-0 mb-3">
							<div class="col p-0">
								<input type="number" class="form-control " id="<?php echo $input_phone_id ?>" name="input_field_phone_name" placeholder="شماره تماس " style="text-align: center;" required min="1000000000" max="100000000000">
							</div>
						</div>
						<div class="row m-0">
							<div class="col p-0">
								<button class="btn btn-primary d-block w-100 mmsf_submit_button rounded-pill"  id="<?php echo $submit_button_id ?>" type="button" onclick='mmsf_sell_submit(
									event,
									<?php echo '"#'.$main_form_element_id.'"' ?> ,
									<?php echo '"#'.$select_field_province_id.'"' ?> ,
									<?php echo '"#'.$select_field_brand_id.'"' ?> ,
									<?php echo '"#'.$select_field_model_id.'"' ?> ,
									<?php echo '"#'.$input_field_year_id.'"' ?> ,
									<?php echo '"#'.$input_field_name_id.'"' ?> ,
									<?php echo '"#'.$input_field_last_name_id.'"' ?> ,
									<?php echo '"#'.$input_phone_id.'"' ?> ,
									<?php echo '"'.$random_str.'"' ?> 
								);'>ثبت درخواست فروش سفارشی</button>
							</div>
						</div>
					</form>
					<div class="mmsf_result_box" style="display:none;" id="<?php echo $result_box_id ?>">
					
					</div>
				</div>
			</div>
			
			<script>
			
			get_province(<?php echo '"#'.$select_field_province_id.'"' ?> , <?php echo '"'.$random_str.'"' ?>);
			get_brands(<?php echo '"#'.$select_field_brand_id.'"' ?> , <?php echo '"'.$random_str.'"' ?>);
			
			</script>
			<?php
			$out = ob_get_clean();
			return $out;
		}
		
		public static function echo_shortcode_buy($atts) { 
			extract( shortcode_atts( array(
				'expand' => '',
			), $atts) );
			ob_start();
			$plugin_dir_url = plugin_dir_url( __FILE__ );
			$form_number = 1;
			?>
			<script>
				<?php 
					$admin_ajax_url =  admin_url( 'admin-ajax.php' );
					echo "admin_ajax_url = '".$admin_ajax_url."';";
					echo "lang_file_url = '".mmsf_url.'assets/en.json'."';";
				?>
			</script>
			<script type="text/javascript" src="<?php echo mmsf_url.'assets/front.js?v='.switch_forms_version; ?>"></script>
			<script type="text/javascript" src="<?php echo mmsf_url.'assets/jbvalidator.js?v='.switch_forms_version; ?>"></script>
			<link href="<?php echo mmsf_url.'assets/front.css?v='.switch_forms_version; ?>" rel="stylesheet">
			<script>
			jQuery(document).ready( function () {
				//jQuery("#switch_forms_main_inner").remove();
			} );
			</script>
			<style>
			.mmsf_form_second_wrapper {
				max-width: 400px;
				margin: auto;
			}
			.mmsf_form_second_wrapper {
			}
			
			.ajax_parent{
			  position: relative;
			  width: 100%;
			}
			.ajax_cover {
				position: absolute;
				height: 100%;
				width: 100%;
				display: block;
				z-index: 999;
				display: flex;
				justify-content: center;
				align-content: center;
				align-items: center;
				background-color: #ffffffbf;
			}
			.mmsf_form_second_wrapper .input-group:not(.has-validation)>.dropdown-toggle:nth-last-child(n+3),.mmsf_form_second_wrapper .input-group:not(.has-validation)>:not(:last-child):not(.dropdown-toggle):not(.dropdown-menu) {
				border-top-right-radius: .3rem;
				border-bottom-right-radius: .3rem;
			}
			.mmsf_form_second_wrapper .input-group>:not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
				margin-left: -1px;
				border-top-left-radius: .3rem;
				border-bottom-left-radius: .3rem;
			}
			.mmsf_form_second_wrapper .input-group>.form-control,.mmsf_form_second_wrapper .input-group>.form-select {
				border: 1px solid #ced4da;
			}
			input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
				padding: .3rem 1rem;
			}
			input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
				border: 1px solid #ced4da;
			}
			input[type=date]:focus, input[type=email]:focus, input[type=number]:focus, input[type=password]:focus, input[type=search]:focus, input[type=tel]:focus, input[type=text]:focus, input[type=url]:focus, select:focus, textarea:focus {
				border-color: #86b7fe;
			}
			.mmsf_submit_button {
				background-color: #144c98;
				color: white;
				background-image: linear-gradient(45deg, #3b095a ,#4c264f);
				box-shadow: inset 0px 0px 5px 2px #3d0d59;
			}
			.mmsf_submit_button:hover {
				background-color: #1a64b7;
				color: white;
			}
			.form-select.is-invalid:not([multiple]):not([size]), .form-select.is-invalid:not([multiple])[size="1"], .was-validated .form-select:invalid:not([multiple]):not([size]), .was-validated .form-select:invalid:not([multiple])[size="1"] {
				background-image: url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e),url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e);
				background-position: left .75rem center,center left 2.25rem;
				background-size: 16px 12px,calc(.75em + .375rem) calc(.75em + .375rem);
				padding-right: 15px;
			}
			</style>
			<?php 
			$random_str = uniqid(rand());
			$random_str = 's'.$random_str;
			$main_form_element_id = 'form-'.$random_str;
			$select_field_province_id =  'province-field-'.$random_str; 
			$select_field_brand_id =  'brand-field-'.$random_str; 
			$select_field_model_id =  'model-field-'.$random_str; 
			$select_min_budget_id =  'min-budget-'.$random_str; 
			$input_field_name_id =  'name-field-'.$random_str; 
			$input_field_last_name_id =  'lsat-name-field-'.$random_str; 
			$input_phone_id =  'phone-field-'.$random_str; 
			$submit_button_id =  'submit-button-'.$random_str; 
			$result_box_id =  'result-box-'.$random_str; 
			
			?>
			<div class="mmsf_forms mmsf_sell mmsf_form_<?php echo $random_str ?>" id="mmsf_form_<?php echo $random_str ?>">
				<div class="mmsf_form_second_wrapper ajax_parent">
					<div class="text-center ajax_indicator_<?php echo $random_str ?> ajax_cover" style="display:none;">
						<div class="spinner-border text-primary " role="status"></div>
					</div>
					<form class="p-3 pt-4 pb-4 needs-validation" id="<?php echo $main_form_element_id ?>" novalidate>
						<div class="row m-0 mb-3">
							<div class="col p-0 ">
								<select class="form-select " id="<?php echo $select_field_province_id ?>" required>
									<option value="" disabled selected>استان خود را انتخاب کنید</option>
								</select>
							</div>
						</div>
						<div class="row m-0 mb-3">
							<div class="col p-0">
								<select class="form-select " id="<?php echo $select_field_brand_id ?>" onchange="get_models('#<?php echo $select_field_model_id ?>','#<?php echo $select_field_brand_id ?>','<?php echo $random_str ?>')" required>
									<option value="" disabled selected>برند خودرو</option>
								</select>
							</div>
						</div>
						<div class="row m-0 mb-3">
							<div class="col p-0">
								<select class="form-select " id="<?php echo $select_field_model_id ?>" onchange="after_select_field_model_change('#<?php echo $input_field_year_id ?>','#<?php echo $select_field_model_id ?>','<?php echo $random_str ?>')" disabled required>
									<option value="" disabled selected>مدل خودرو</option>
								</select>
							</div>
						</div>
						<div class="row m-0 mb-3">
							<div class="col p-0">
								<select class="form-select " id="<?php echo $select_min_budget_id ?>" required>
									<option value="" disabled selected>حداقل بودجه</option>
									<option value="2500000000" >100 تا 250 میلیون</option>
									<option value="5000000000" >250 تا 500 میلیون</option>
									<option value="8000000000" >500 تا 800 میلیون</option>
									<option value="15000000000" >800 تا یک و نیم میلیارد</option>
									<option value="25000000000" >یک و نیم تا دو و نیم میلیارد</option>
									<option value="30000000000" >سه میلیارد به بالا</option>
								</select>
							</div>
						</div>
						<div class="row m-0 mb-3">
							<div class="col p-0 pe-1">
								<input type="text" class="form-control " id="<?php echo $input_field_name_id ?>" name="input_field_name_name" placeholder="نام" required pattern=".{3,30}">
							</div>
							<div class="col p-0 ps-1">
								<input type="text" class="form-control " id="<?php echo $input_field_last_name_id ?>" name="input_field_last_name_id_name" placeholder="نام خانوادگی" required pattern=".{3,30}">
							</div>
						</div>
						<div class="row m-0 mb-3">
							<div class="col p-0">
								<input type="number" class="form-control " id="<?php echo $input_phone_id ?>" name="input_field_phone_name" placeholder="شماره تماس " style="text-align: center;" required min="1000000000" max="100000000000">
							</div>
						</div>
						<div class="row m-0">
							<div class="col p-0">
								<button class="btn btn-primary d-block w-100 mmsf_submit_button rounded-pill"  id="<?php echo $submit_button_id ?>" type="button" onclick='mmsf_buy_submit(
									event,
									<?php echo '"#'.$main_form_element_id.'"' ?> ,
									<?php echo '"#'.$select_field_province_id.'"' ?> ,
									<?php echo '"#'.$select_field_brand_id.'"' ?> ,
									<?php echo '"#'.$select_field_model_id.'"' ?> ,
									<?php echo '"#'.$select_min_budget_id.'"' ?> ,
									<?php echo '"#'.$input_field_name_id.'"' ?> ,
									<?php echo '"#'.$input_field_last_name_id.'"' ?> ,
									<?php echo '"#'.$input_phone_id.'"' ?> ,
									<?php echo '"'.$random_str.'"' ?> 
								);'>ثبت درخواست خرید سفارشی</button>
							</div>
						</div>
					</form>
					<div class="mmsf_result_box" style="display:none;" id="<?php echo $result_box_id ?>">
					
					</div>
					
				</div>
			</div>
			
			<script>
			
			get_province(<?php echo '"#'.$select_field_province_id.'"' ?> , <?php echo '"'.$random_str.'"' ?>);
			get_brands(<?php echo '"#'.$select_field_brand_id.'"' ?> , <?php echo '"'.$random_str.'"' ?>);
			


			</script>
			<?php
			
			
			
			
			$out = ob_get_clean();
			return $out;
		}
		
		public static function enqueue_front(){
			wp_enqueue_script("jquery");
		}
	}
	add_action( 'plugins_loaded', array( 'switch_forms', 'init_actions' ) );
}


function mmsf_my_admin_footer_function() {
	//update_option( 'tttttttttttt', $data );
	?><div style="direction:ltr;padding:40px;float: left;min-width: 50vw;display: grid;margin:0 200px"><?
	echo '<style> code, kbd{    display: inline-block;}</style>';
	 highlight_string("<?php\n " . var_export(get_option( 'tttttttttttt',true ), true) . "\n ?>");
	?></div><?php 
	delete_option( 'tttttttttttt');
}
//add_action('admin_footer', 'my_admin_footer_function');

function mmsf_test_sss(){
	
	?><div style="direction:ltr;padding:40px;float: left;min-width: 50vw;display: grid;margin:0 200px"><?
	echo '<style> code, kbd{    display: inline-block;}</style>';
	 highlight_string("<?php\n " . var_export('' , true) . "\n ?>");
	?></div><?php 
	
	?><div style="direction:ltr;padding:40px;float: left;min-width: 50vw;display: grid;margin:0 200px"><?
	echo '<style> code, kbd{    display: inline-block;}</style>';
	 highlight_string("<?php\n " . var_export('' , true) . "\n ?>");
	?></div><?php 
}

/////////////////////////////////////////////////////////////








